Bug 875429

Summary: Lohit Punjabi overlaps when used as WebFonts on Windows
Product: [Fedora] Fedora Reporter: Srikanth <srik.lak+public>
Component: lohit-punjabi-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 19CC: a9016009, fonts-bugs, i18n-bugs, psatpute, siebrand
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-14 04:56:39 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
pa.wikipedia main page with fault markings none

Description Srikanth 2012-11-11 00:48:37 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open http://srik.me/jquery.webfonts/examples/ on windows machine.
2. Change between Lohit-Punjabi, Saab, Sakal Bharathi to notice the difference in 1999
3. 9 overlaps with existing text causing rendering bug on windows.
  
Actual results:
19 comes for 1999 (in Punjabi). Same goes with digit 8 overlapping with digit 9.


Expected results:
1999 should come for 1999

Additional info:
Pravin Satpute knows about the issue and this was debugged at Pune Language Summit
Comment 1 Pravin Satpute 2012-11-12 01:46:48 EST
thanks Srikanth for bug report, i will debug this on windows next week.
Comment 2 Andre Klapper 2013-03-12 05:14:06 EDT
Pravin: Any news? Did you find time to debug this, or is there anything we can help with?
Comment 3 Pravin Satpute 2013-03-12 05:30:20 EDT
I tried once, but no positive news on it. It is not reproducible even on Notepad of Windows. only happen with IE.

Will give it try again. next week.
Comment 4 Fedora End Of Life 2013-04-03 13:09:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Siebrand Mazeland 2013-06-25 07:39:38 EDT
Downstream report for Wikimedia Foundation wikis like Wikipedia: https://bugzilla.wikimedia.org/show_bug.cgi?id=50032
Comment 6 Pravin Satpute 2013-06-26 00:49:31 EDT
Thanks Siebrand for Notification. 
Problem with these bugs are those are only happens on specific browsers. I think we should report bugs against those browsers as well, they might give us some hint regarding what is problem exactly. It might be with some specific metrics in the fonts. 

Will be good to add images of problem here as well.
Comment 7 Siebrand Mazeland 2013-06-26 02:01:41 EDT
Created attachment 765401 [details]
pa.wikipedia main page with fault markings

As requested a screenshot that is attached to the downstream issue. It would have been nice to also have had an expected display, but I expect that script experts are able to point out what expected display is.
Comment 8 Pravin Satpute 2013-06-26 14:23:48 EDT
Thanks Siebrand for image. I observed this image earlier and looks complex script features of Open Type fonts are not supported by the browser. Let see if we can get some more inputs and hints. Hoping will reach to conclusion soon.
Comment 9 Fedora End Of Life 2015-01-09 12:28:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Pravin Satpute 2015-01-14 04:56:39 EST
Is this still exist? working fine on Fedora with Lohit2.

If problem persist please report on https://github.com/pravins/lohit